Bug 237409 - multimedia/vdr-plugin-upnp: Fails to build with upnp 1.8.x
Summary: multimedia/vdr-plugin-upnp: Fails to build with upnp 1.8.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL: https://people.freebsd.org/~tobik/log...
Keywords:
Depends on:
Blocks: 234669
  Show dependency treegraph
 
Reported: 2019-04-20 09:15 UTC by Tobias Kortkamp
Modified: 2019-05-15 04:38 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2019-04-20 09:15:26 UTC
In file included from misc/config.cpp:13:
In file included from misc/../upnp.h:14:
In file included from inc/server.h:19:
In file included from inc/upnp/connectionmanager.h:11:
inc/upnp/service.h:73:9: error: unknown type name 'Upnp_Action_Request'; did you mean 'UpnpActionRequest'?
        Upnp_Action_Request* Request,           ///< the action request, to set the error for
        ^~~~~~~~~~~~~~~~~~~
        UpnpActionRequest
/usr/local/include/upnp/TemplateInclude.h:138:27: note: 'UpnpActionRequest' declared here
TEMPLATE_PROTOTYPE_COMMON(CLASS)
                          ^
/usr/local/include/upnp/ActionRequest.h:18:15: note: expanded from macro 'CLASS'
#define CLASS UpnpActionRequest
              ^
Comment 1 commit-hook freebsd_committer 2019-05-08 20:02:06 UTC
A commit references this bug:

Author: tobik
Date: Wed May  8 20:02:02 UTC 2019
New revision: 501045
URL: https://svnweb.freebsd.org/changeset/ports/501045

Log:
  Deprecate multimedia/vdr-plugin-upnp

  It does not build with upnp >= 1.8 and is unmaintained upstream.

  PR:		237409

Changes:
  head/multimedia/vdr-plugin-upnp/Makefile
Comment 2 Tobias Kortkamp freebsd_committer 2019-05-15 04:16:00 UTC
Expired port removed in ports r501683.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2019-05-15 04:38:15 UTC
Correct resolution, FIXED: by a change (commit).